summaryrefslogtreecommitdiffstats
path: root/games
diff options
context:
space:
mode:
author B. Watson <yalhcru@gmail.com>2014-04-10 21:09:24 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2014-04-10 21:09:24 +0700
commit567fbbdacdf4544c913fd3dc48ad68ad99d51abc (patch)
treed16aa0cd67c529af01bd3cc6a8c7aa3a981faf9e /games
parent9ccc2a417b718caa403ac3b07f190b5b9a4f63d7 (diff)
downloadslackbuilds-567fbbdacdf4544c913fd3dc48ad68ad99d51abc.tar.gz
slackbuilds-567fbbdacdf4544c913fd3dc48ad68ad99d51abc.tar.xz
games/notpacman: Added (rotating pac-man game).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'games')
-rw-r--r--games/notpacman/README7
-rw-r--r--games/notpacman/doinst.sh3
-rw-r--r--games/notpacman/notpacman.SlackBuild95
-rw-r--r--games/notpacman/notpacman.desktop8
-rw-r--r--games/notpacman/notpacman.info10
-rw-r--r--games/notpacman/slack-desc19
6 files changed, 142 insertions, 0 deletions
diff --git a/games/notpacman/README b/games/notpacman/README
new file mode 100644
index 0000000000..a5f61559bd
--- /dev/null
+++ b/games/notpacman/README
@@ -0,0 +1,7 @@
+notpacman (rotating pac-man game)
+
+Ever wondered what Pacman would be like with physics? No? Well, it's
+revolutionary. This mashup of "Not" and "Pacman" puts The Pac and the
+Ghosts in a Pacworld cage, at the mercy of gravity and the level's shape,
+controlled solely by you. Ghosts still don't like you very much, so you
+should be careful to make Pacman avoid them.
diff --git a/games/notpacman/doinst.sh b/games/notpacman/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/games/notpacman/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/games/notpacman/notpacman.SlackBuild b/games/notpacman/notpacman.SlackBuild
new file mode 100644
index 0000000000..cd8657ec6c
--- /dev/null
+++ b/games/notpacman/notpacman.SlackBuild
@@ -0,0 +1,95 @@
+#!/bin/sh
+
+# Slackware build script for notpacman
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+# Licensed under the WTFPL. See http://www.wtfpl.net/txt/copying/ for details.
+
+# This file could almost serve as a template for games that use LÖVE, feel
+# free to adapt it. If so, pay special attention to the #!/usr/bin/env stuff:
+# you'll need the correct love binary... or, if the .love file already has
+# the shebang line, don't add another in your build. It may be helpful to know
+# that the unzip command can handle zipfiles with extra junk like a shebang
+# at the beginning (it'll print a warning, is all).
+
+PRGNAM=notpacman
+VERSION=${VERSION:-1.0.4}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+# For those keeping score at home, *.love files are actually zip files
+# full of lua script code, graphics, and such. Even better, they can be
+# zip files with a shebang line prepended (so they can be +x and run like
+# any other script).
+ZIPFILE=$PRGNAM-source.zip
+PAYLOAD=not_pacman.love
+
+# if file downloaded with wget or anything that doesn't respect
+# content-disposition:
+DLNAME="dl.php?file=notpacman-1004%2Fnotpacman-source.zip"
+[ -e "$DLNAME" ] && mv "$DLNAME" $ZIPFILE
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+mkdir -p $PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+unzip $CWD/$ZIPFILE
+
+# no chown/find boilerplate here, files will be installed with explicit perms
+# or with cat + redirection.
+mkdir -p $PKG/usr/games
+echo '#!/usr/bin/env love-0.7.2' > $PKG/usr/games/$PRGNAM
+cat $PAYLOAD >> $PKG/usr/games/$PRGNAM
+chmod 755 $PKG/usr/games/$PRGNAM
+
+# .desktop written for this slackbuild
+mkdir -p $PKG/usr/share/applications
+cat $CWD/$PRGNAM.desktop > $PKG/usr/share/applications/$PRGNAM.desktop
+
+# use pac-man himself for the icon
+mkdir -p $PKG/usr/share/pixmaps
+unzip -p $PAYLOAD graphics/pacmanman.png > $PKG/usr/share/pixmaps/$PRGNAM.png
+
+# The included README is useless (I promise). The license isn't.
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+unzip -a -p $PAYLOAD LICENSE.txt > $PKG/usr/doc/$PRGNAM-$VERSION/LICENSE.txt
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/games/notpacman/notpacman.desktop b/games/notpacman/notpacman.desktop
new file mode 100644
index 0000000000..98973d7764
--- /dev/null
+++ b/games/notpacman/notpacman.desktop
@@ -0,0 +1,8 @@
+[Desktop Entry]
+Name=Not Pac-Man
+Comment=Rotating Pacman with realistic physics
+Exec=notpacman
+Icon=notpacman
+Terminal=false
+Type=Application
+Categories=Game;ArcadeGame;
diff --git a/games/notpacman/notpacman.info b/games/notpacman/notpacman.info
new file mode 100644
index 0000000000..70c6487071
--- /dev/null
+++ b/games/notpacman/notpacman.info
@@ -0,0 +1,10 @@
+PRGNAM="notpacman"
+VERSION="1.0.4"
+HOMEPAGE="http://stabyourself.net/notpacman/"
+DOWNLOAD="http://stabyourself.net/dl.php?file=notpacman-1004/notpacman-source.zip"
+MD5SUM="a7f00ac3b1c8cb94bfa07b711b076223"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="love-legacy072"
+MAINTAINER="B. Watson"
+EMAIL="yalhcru@gmail.com"
diff --git a/games/notpacman/slack-desc b/games/notpacman/slack-desc
new file mode 100644
index 0000000000..6a03da4899
--- /dev/null
+++ b/games/notpacman/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+notpacman: notpacman (rotating pac-man game)
+notpacman:
+notpacman: Ever wondered what Pacman would be like with physics? No? Well,
+notpacman: it's revolutionary. This mashup of "Not" and "Pacman" puts The Pac
+notpacman: and the Ghosts in a Pacworld cage, at the mercy of gravity and the
+notpacman: level's shape, controlled solely by you. Ghosts still don't like
+notpacman: you very much, so you should be careful to make Pacman avoid them.
+notpacman:
+notpacman:
+notpacman:
+notpacman: